---
apiVersion: v1
kind: ConfigMap
metadata:
  labels:
    app.kubernetes.io/component: puppetdb
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetdb-read-database-conf
  namespace: puppet
data:
  read-database.conf: |
    read-database: {
      subname: "//"${OPENVOXDB_READ_POSTGRES_HOSTNAME}":"${OPENVOXDB_READ_POSTGRES_PORT}"/"${OPENVOXDB_READ_POSTGRES_DATABASE}
      username: ${OPENVOXDB_READ_POSTGRES_USER}
      password: ${OPENVOXDB_READ_POSTGRES_PASSWORD}
    }
